package com.brilliance.isc.swift.swifteditor.util;

import com.brilliance.isc.common.context.SpringEnvContext;
import com.brilliance.isc.common.counter.service.CounterService;
import com.brilliance.isc.common.util.Utils;
import com.prowidesoftware.swift.model.field.Field108;

import java.util.Date;

public class SwiftUtils {

    public static Field108 buildSwiftBlock3_108() {
        String field108Value = "STN" + Utils.fmtDate(new Date(), "YY") + SpringEnvContext.getBean(CounterService.class).dbCounterFormat("SWIFT", 7);
        Field108 field108 = new Field108(field108Value);
        return field108;
    }
}
